igeo

## Class IAddMap

- java.lang.Object
- - igeo.IMap
  - - igeo.IAddMap

-     public class IAddMap
      extends IMap

  A subclass of IMap defined by addition of two maps. Output value is crampped with 0.0 - 1.0.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IMap` | `map1`
    `IMap` | `map2`

    - ### Fields inherited from class igeo.IMap

      `defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IAddMap(IMap m1, IMap m2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IAddMap` | `flipU()` to be defined in sub class
    `IAddMap` | `flipV()` to be defined in sub class
    `double` | `get(double u, double v)` A main method to get a value of the map.

    - ### Methods inherited from class igeo.IMap

      `createImage, createImage, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map1

          public IMap map1

    - #### map2

          public IMap map2

  - ### Constructor Detail

    - #### IAddMap

          public IAddMap(IMap m1,
                 IMap m2)

  - ### Method Detail

    - #### get

          public double get(double u,
                   double v)

      Description copied from class: `IMap`
      A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.
      Overrides:
        `get` in class `IMap`
      Parameters:
        `u` - u coordinates ranges 0.0 - 1.0
        `v` - v coordinates ranges 0.0 - 1.0
      Returns:
        value of the map.

    - #### flipU

          public IAddMap flipU()

      Description copied from class: `IMap`
      to be defined in sub class
      Overrides:
        `flipU` in class `IMap`

    - #### flipV

          public IAddMap flipV()

      Description copied from class: `IMap`
      to be defined in sub class
      Overrides:
        `flipV` in class `IMap`